{% extends 'base.html' %}

{% block content %}

{% if mensagem is not None %}
	<script>alert('{{mensagem}}')</script>
{% endif %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-
awesome/4.7.0/css/font-awesome.min.css">
<!-- Breadcrumbs-->
<ol class="breadcrumb">
	<li class="breadcrumb-item">
	<a href="realizar-consultas/">Início</a>
	</li>
	<li class="breadcrumb-item active">Inserir Extrato</li>
</ol>


<div class="card-header" style="margin-bottom: 1%">
	<i class="fas fa-table"></i>
	Inserir Extrato
</div>

<div class="container" style="width: 100%; height: 100%">
	<!-- <div id="lista_bancos" class="row mb-4" style="align-items: center; justify-content: center; width: 100%; height: 100%;background-color: green">
			<form action="inserir-extrato" class="col justify-content-center" style="height: 100%; align-items: center" method="POST" enctype="multipart/form-data">
				{%csrf_token %}
				<div class="form-group">
					<h6 class="mr-2" style="align-self: center;">Selecione um banco:</h6>
					<div id="banco">
						<input type="radio" name="banco" value="inter" required>Inter</input>
						<input type="radio" name="banco" value="bb" required>Banco do Brasil</input>
					</div>
				</div>
				<div class="form-group">
					<input type="file" name='arquivo[]' multiple required>
				</div>
				<div>
					<input type="submit" value="Inserir" class='btn-sucess' style="width: 30%; margin-left: 20%"/>
				</div>
		</form>
	</div>
</div> -->

<div class="row" style="align-items: center; margin-left: 20%">
		<form action="/inserir-extrato" method="POST" style="width:70%;"  enctype="multipart/form-data">
			{% csrf_token %}
			<div class="form-group rpw">
				<label for="banco"><strong>Selecione um banco:</strong></label>
				<br>
				<input type="radio" name="banco" value="inter" required> Banco Inter</input>
				<br>
				<input type="radio" name="banco" value="bb" required> Banco do Brasil</input>
			</div>
			<br>
			<div class="form-group">
				<label for="conta"><strong>Arquivos:</strong></label>
				<br>
				<input type="file" name='arquivo[]' multiple required accept=".txt, .csv">
			</div>
			<br>
			<button type="submit" style="width:100% " class="btn btn-primary">Inserir</button>
		</form>
	</div>

<p class="small text-center text-muted my-5">
	<em></em>
</p>

</div>
<!-- Modal -->
<!-- /.container-fluid -->
<script>
	$("search").bind("input", function(e) {
		while( $(this).outerWidth() < this.scrollHeight +
										parseFloat($(this).css("borderTopWidth")) +
										parseFloat($(this).css("borderBottomWidth"))
				&& $(this).width() < 50 // Altura máxima
		) {
			$(this).height($(this).height()+1);
		};
	});
</script>
{% endblock %}